## golang-github-aead-minisign 0.3.0

=== Makefile ===
ifneq ($(shell go env GOBIN),)
	GOBIN := $(shell go env GOBIN)
else
	GOBIN := $(shell $(go env GOPATH)/bin)
endif

.PHONY: build check release test lint update-tools

build:
	@mkdir -m 0755 -p ${GOBIN}
	@CGO_ENABLED=0 go build -trimpath -ldflags "-s -w" -o ${GOBIN}/minisign ./cmd/minisign

check:
	@gofmt -d . && echo No formatting issue found.
	@govulncheck ./...
		
release:
ifneq ($(shell git status -s) , )
	@(echo "Repository contains modified files." && exit 1)
else
	@echo -n Building minisign ${VERSION} for linux/amd64...
	@GOOS=linux GOARCH=amd64 CGO_ENABLED=0 go build -trimpath -ldflags "-s -w" -o ./minisign ./cmd/minisign
	@tar -czf minisign-linux-amd64.tar.gz ./minisign ./LICENSE ./README.md
	@echo " DONE."

	@echo -n Building minisign ${VERSION} for linux/arm64...
	@GOOS=linux GOARCH=arm64 CGO_ENABLED=0 go build -trimpath -ldflags "-s -w" -o ./minisign ./cmd/minisign
	@tar -czf minisign-linux-arm64.tar.gz ./minisign ./LICENSE ./README.md
	@echo " DONE."

	@echo -n Building minisign ${VERSION} for darwin/arm64...
	@GOOS=darwin GOARCH=arm64 CGO_ENABLED=0 go build -trimpath -ldflags "-s -w" -o ./minisign ./cmd/minisign
	@tar -czf minisign-darwin-arm64.tar.gz ./minisign ./LICENSE ./README.md
	@echo " DONE."

	@echo -n Building minisign ${VERSION} for windows/amd64...
	@GOOS=windows GOARCH=amd64 CGO_ENABLED=0 go build -trimpath -ldflags "-s -w" -o ./minisign ./cmd/minisign
	@zip -q minisign-windows-amd64.zip ./minisign ./LICENSE ./README.md
	@echo " DONE."

	@rm ./minisign
endif

test:
	@CGO_ENABLED=0 go test -ldflags "-s -w" ./...

lint:
	@go vet ./...
	@golangci-lint run --config ./.golangci.yml

update-tools:
	@CGO_ENABLED=0 go install github.com/golangci/golangci-lint/cmd/golangci-lint@latest
	@CGO_ENABLED=0 go install golang.org/x/vuln/cmd/govulncheck@latest

=== debian/changelog ===
golang-github-aead-minisign (0.3.0-2) unstable; urgency=medium

  * Source-only upload for migration

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 23 Jul 2024 23:50:18 +0000

golang-github-aead-minisign (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #1076584)

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 21 Jul 2024 04:59:48 +0000

=== debian/control ===
Source: golang-github-aead-minisign
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <gibmat@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-golang-x-crypto-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aead-minisign
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aead-minisign.git
Homepage: https://github.com/aead/minisign
XS-Go-Import-Path: github.com/aead/minisign

Package: golang-github-aead-minisign-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-golang-x-crypto-dev,
         ${misc:Depends}
Description: Simple tool to sign files and verify digital signatures (library)
 minisign is a dead simple tool to sign files and verify signatures.
 This is a Go implementation of the original C implementation by Frank
 Dennis.

=== debian/rules ===
#!/usr/bin/make -f

# Don't build `minisign` binary
export DH_GOLANG_EXCLUDES := cmd/

%:
	dh $@ --builddirectory=_build --buildsystem=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/aead/minisign/tags .*/v?(\d\S*)\.tar\.gz debian
